﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace Kaleida.ServiceMonitor.Framework
{
    public static class EnumerableExtensions
    {
        public static string ToBulletedList(this IEnumerable<string> items)
        {
            return String.Join("\r\n", items.Select(i => "  • " + i));
        }

        public static string Join(this IEnumerable<string> items, string separator)
        {
            return String.Join(separator, items);
        }
    }
}
