using System;
using Kaleida.ServiceMonitor.Model.Runtime;

namespace Kaleida.ServiceMonitor.Model.ColourSpecifications
{
    internal interface IMetric
    {
        string NameSingular { get; }
        string NamePlural{ get; }
        Func<IMonitorState, decimal?> GetValueFunction { get; }
        bool IsValidValue(decimal value, out string message);
    }
}