using System.Drawing;
using Kaleida.ServiceMonitor.Model.Runtime;

namespace Kaleida.ServiceMonitor.Model.ColourSpecifications
{
    class NotMonitoringColourSpecification : IStateColourSpecification
    {
        public Color Colour
        {
            get { return Color.Gray; }
        }

        public bool IsMatch(IMonitorState state)
        {
            return !state.IsMonitoring;
        }

        public string Description
        {
            get { return "Not monitoring: " + Colour.Name; }
        }
    }
}