using System.Net.Mail;
using JetBrains.Annotations;

namespace Kaleida.ServiceMonitor.Model
{
    public interface IConfiguration
    {
        int MaximumResponses { get; }

        [CanBeNull]
        string InitialScriptName { get; }

        bool AutoStart { get; }

        [CanBeNull]
        string SmtpServer { get; }

        [CanBeNull]
        MailAddress EmailSenderAddress { get; }

        string OperationsPath { get; }
        string ScriptsPath { get; }
    }
}