using System.Collections.Generic;
using System.IO;

namespace Kaleida.ServiceMonitor.Model
{
    public interface IFilesystem
    {
        bool FileExists(string filePath);
        string ReadAllText(string filePath);
        void WriteAllText(string filePath, string content);
        bool DirectoryExists(string path);
        IEnumerable<string> GetFileNames(string path, string searchPattern, SearchOption searchOption);
    }
}