using System;
using JetBrains.Annotations;
using Kaleida.ServiceMonitor.Framework;

namespace Kaleida.ServiceMonitor.Model
{
    public class MinuteTimerTickEventArgs : EventArgs
    {
        private readonly ScheduledTime time;

        public MinuteTimerTickEventArgs([NotNull] ScheduledTime time)
        {
            if (time == null) throw new ArgumentNullException("time");
            this.time = time;
        }

        public ScheduledTime Time
        {
            get { return time; }
        }
    }
}