using System.Collections.Generic;
using System.Linq;

namespace Kaleida.ServiceMonitor.Model.Runtime
{
    public class CompiledGroup
    {
        private readonly List<CompiledNode> children;

        public CompiledGroup(IEnumerable<CompiledNode> children)
        {
            this.children = children.ToList();
        }

        public IList<CompiledNode> Children
        {
            get { return children; }
        }
    }
}