using JetBrains.Annotations;
using Kaleida.ServiceMonitor.Framework;

namespace Kaleida.ServiceMonitor.Model.Runtime
{
    public interface IMonitorState
    {
        bool IsMonitoring { get;}
        int FailureCount { get; }

        [CanBeNull]
        Percentage SuccessRate { get; }
        [CanBeNull]
        RequestErrorResult FirstFailureOrDefault { get; }
        [CanBeNull]
        RequestErrorResult LatestFailureOrDefault { get; }
    }
}