using System.Drawing;

namespace Kaleida.ServiceMonitor.Model.Runtime
{
    public interface IStatePresentation
    {
        string GetNotificationWord(); // e.g. "Critical"
        string GetStateSummary(); // E.g. "10 errors occured"
        string GetStateDetail(); // E.g. 10 errors in total. The first error occured at 09:30 20 April 2012, The last error was 5 minutes ago"
    }
}