using System;
using Kaleida.ServiceMonitor.Model;

namespace Kaleida.ServiceMonitor.UI
{
    public class SelectScriptEventArgs : EventArgs
    {
        private readonly IScriptSource script;

        public SelectScriptEventArgs(IScriptSource script)
        {
            this.script = script;
        }

        public IScriptSource Script
        {
            get { return script; }
        }
    }
}