using System.Net.Mail;
using Kaleida.ServiceMonitor.Model;

namespace Kaleida.UnitTests.Model
{
	public class MockConfiguration : IConfiguration
	{
		public int MaximumResponses { get; set; }
		public string InitialScriptName { get; set; }
		public bool AutoStart { get; set; }
		public string SmtpServer { get; set; }
		public MailAddress EmailSenderAddress { get; set; }
	    public string OperationsPath { get; private set; }
	    public string ScriptsPath { get; private set; }
	}
}