using Kaleida.ServiceMonitor.Framework.Responses;

namespace Kaleida.UnitTests.Operations.ResponseHandlers
{
    internal class MockStringContainer : IStringContainer
    {
        private readonly string content;

        public MockStringContainer(string content)
        {
            this.content = content;
        }

        public string Content
        {
            get { return content; }
        }

        public override string ToString()
        {
            return "ToString() result";
        }
    }
}