using System;

namespace Kaleida.ServiceMonitor.Model
{
    public interface IScriptSource
    {
        string Name { get; }
        string PersistanceLocation { get; }
        string Content { get; set; }
        bool IsDirty { get; }
        event EventHandler<EventArgs> ScriptContentChanged;
        void Save(IFilesystem filesystem);
    }
}