namespace Kaleida.ServiceMonitor.Model
{
    public interface IServiceMonExtension
    {
        void ScriptCompilationComplete(ScriptCompilationCompleteEventArgs args);
        void OnStartedMonitoring();
        void OnStoppedMonitoring();
        void OnOperationSuccessful(OperationSuccessfulEventArgs eventArgs);
        void OnOperationFailed(OperationFailedEventArgs eventArgs);
        void OnClearFailures();
        void OnScheduledTimeTick(MinuteTimerTickEventArgs eventArgs);
    }
}