﻿using System;

namespace Kaleida.ServiceMonitor.Model
{
    public class NullScriptSource : IScriptSource
    {
        public string Name
        {
            get { return "<No Script>"; }
        }

        public string PersistanceLocation
        {
            get { return ""; }
        }

        public bool IsDirty
        {
            get { return false; }
        }

        public string Content
        {
            get { return ""; }
            set { }
        }

        public event EventHandler<EventArgs> ScriptContentChanged;

        public void Save(IFilesystem filesystem)
        {
        }
    }
}
