using System;
using Kaleida.ServiceMonitor.Model.Runtime;

namespace Kaleida.ServiceMonitor.Model
{
    public class OperationSuccessfulEventArgs : EventArgs
    {
        private readonly IOperation operation;
        private readonly RequestSuccessResult result;

        public OperationSuccessfulEventArgs(IOperation operation, RequestSuccessResult result)
        {
            this.operation = operation;
            this.result = result;
        }

        public IOperation Operation
        {
            get { return operation; }
        }

        public RequestSuccessResult Result
        {
            get { return result; }
        }
    }
}