using System;

namespace Kaleida.ServiceMonitor.Model
{
	[AttributeUsage(AttributeTargets.Class)]
    public class PanelNameAttribute : Attribute
    {
        private readonly string name;

        public PanelNameAttribute(string name)
        {
            this.name = name;
        }

        public string Name
        {
            get { return name; }
        }
    }
}