﻿using System;
using System.IO;
using System.Reflection;

namespace Kaleida.ServiceMonitor.Model
{
    public static class ServiceMon
    {
        public static string OperationsPath
        {
            get { return Path.Combine(Environment.CurrentDirectory, "Operations"); }
        }

        public static string ScriptPath
        {
            get { return Path.Combine(Environment.CurrentDirectory, "Scripts"); }
        }

        public static Version VersionNumber
        {
            get
            {
                var assembly = Assembly.GetExecutingAssembly();
                return assembly.GetName().Version;
            }
        }
    }
}
