using System;
using Kaleida.ServiceMonitor.Framework;

namespace Kaleida.ServiceMonitor.UI
{
    public class PollIntervalValueChangingEventArgs : EventArgs
    {
        private readonly Duration oldValue;

        public PollIntervalValueChangingEventArgs(Duration oldValue, Duration newValue)
        {
            this.oldValue = oldValue;
            NewValue = newValue;
        }

        public Duration OldValue
        {
            get { return oldValue; }
        }

        public Duration NewValue { get; set; }
    }
}